<?php
// Añadir submenu en Apariencia
add_action( 'admin_menu', 'nucleus_menu_en_apariencia' );
function nucleus_menu_en_apariencia() {  
  	
	add_theme_page( __('Nucleus Help', 'nucleus'), __('Nucleus Help', 'nucleus'), 'edit_theme_options', 'nucleus_help', 'nucleus_mostrar_ayuda'); 
  
} 

// Página de ayuda
function nucleus_mostrar_ayuda() { 
?>

<style type="text/css">
a{text-decoration:none !important;}
.wrapper-nucleus {overflow:hidden; line-height:1.5; font-size: 14px; max-width:1440px; margin:0 auto;}
.col-right{background-color:#fafafa;}
.title {margin-bottom:28px;}
.img-left {float:left;}
.dash-middle {vertical-align:midlle !important;}
.icon:before, .libro:before, .estrella:before {
	content: "\f333";
	display: inline-block;
	-webkit-font-smoothing: antialiased;
	font: normal 20px/1 'dashicons';
	vertical-align: middle;
}
.libro:before {
	content: "\f331";
	color:#25C4E6;
}
.estrella:before {
	content: "\f155";
	color:#25C4E6;
}
.check-title:before {
	content: "\f147";
	display: inline-block;
	-webkit-font-smoothing: antialiased;
	font: normal 40px/1 'dashicons';
	vertical-align: middle;
	/*color:#059820;*/
	color:#ffffff;
	background-color:#25C4E6;
	border:1px solid #25C4E6;
	border-radius:50%;
}
.pro-title:before {
	content: "\f155";
	display: inline-block;
	-webkit-font-smoothing: antialiased;
	font: normal 50px/1 'dashicons';
	vertical-align: middle;
	color:#25C4E6;
}
.check-lista:before {
	content: "\f147";
	display: inline-block;
	-webkit-font-smoothing: antialiased;
	font: normal 20px/1 'dashicons';
	vertical-align: middle;
	color:#25C4E6;
}
.imagen {
	background-color:#fff;
	padding:14px 0 7px 0;
	margin-bottom:14px;
	text-align:center;
}
.imagen img {
	max-width:100%;
	max-height:auto;
}
.titulo-pro {
	padding:7px;
	background-color:#25C4E6;
	color:#fff;
	text-align:center;
	font-size:18px;
	font-weight:bold;
}
.ribo_rating {font-size:14px !important;}
@media screen and (min-width: 800px) {
.col-left {float:left; width: 65%; padding: 1%;}
.col-right {float:right; width: 30%; padding:1%; border-left:1px solid #DDDDDD; }
}

</style>

<div class="wrapper-nucleus">

	<div class="col-left">
		<div><a href="<?php echo NUCLEUS_AUTHOR_URI; ?>" target="_blank"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/img/galussothemes-logo.png" /></a></div>
		<hr />
		<h1><?php _e('Thank you for choosing Nucleus', 'nucleus'); ?></h1>
		
		<?php _e('Nucleus is a simple and light WordPress theme with a clear and neat design. Some its features are: header image and/or logo (round/square), custom theme color (blue, green, orange or pink), excerpts or full posts (homepage and archive pages), related posts, six different Google Fonts, custom widgets areas (beginning and end of posts and content bottom), customization panel, fully responsive, custom header, custom background and more. Translation Ready (English and spanish integrated). Required WordPress 4.5+.', 'nucleus'); ?>
		
		<h2><span class="libro"></span> <?php _e('Nucleus Quick Start Guide', 'nucleus'); ?></h2> 
		
		<h3><span class="icon"></span> <?php _e('Important: thumbnails', 'nucleus'); ?></h3>
			&#9679; <?php _e('For images appear on the homepage, you must set the featured image of the posts.', 'nucleus');?>
			<br />
			&#9679; <?php _e('If Nucleus is not the first theme you use, you must regenerate the thumbnails of image with some free plugin as', 'nucleus'); ?> <a href="https://wordpress.org/plugins/regenerate-thumbnails/" target="_blank">Regenerate Thumbnails</a>.
		
		<h3><span class="icon"></span>  <?php _e('Customize Nucleus', 'nucleus'); ?></h3>
		<?php _e('To customize Nucleus go to <i>Appearance > Customize</i>', 'nucleus'); ?>.<br />
		<?php _e('To receive support from us or other users visit the <a href="https://wordpress.org/support/theme/nucleus">Nucleus forum support on WordPress.org</a>', 'nucleus'); ?>
		
		<h2><span class="estrella"></span> <?php _e('Rating and Review', 'nucleus'); ?></h2>
		<?php _e('Please, if you are happy with the theme, say it on wordpress.org and give Nucleus a nice review. Thank you.', 'nucleus'); ?>
		
		<div style="text-align:center; margin-top:14px;">
		<a class="button-primary ribo_rating" href="https://wordpress.org/support/view/theme-reviews/nucleus" target="_blank"><?php _e('Review Nucleus', 'nucleus'); ?></a>
		</div>
	</div><!-- .col-left -->
	
	<div class="col-right">
		<div class="titulo-pro">Nucleus Pro</div>
		
		<div class="imagen">
			<div style="padding:0 5px; text-align:center;">
				<?php _e('With <strong>Nucleus Pro</strong> you can set up your blog with everything you need in minutes.', 'nucleus'); ?>
				<hr />
			</div>
			
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/img/nucleus-pro-features.png" />
			
			<div style="text-align:center; font-weight:bold;">
				<hr />
				<a href="http://demos.galussothemes.com/nucleus-pro" target="_blank"><?php _e('Live Demo', 'nucleus'); ?></a> | 
				<a href="<?php echo NUCLEUS_AUTHOR_URI; ?>/wordpress-themes/nucleus-pro" target="_blank"><?php _e('Buy', 'nucleus'); ?></a> | 
				<a href="<?php echo NUCLEUS_AUTHOR_URI; ?>/wordpress-themes/nucleus" target="_blank"><?php _e('Compare with Lite Version', 'nucleus'); ?></a>
				<hr />
			</div>
		</div><!-- .imagen -->
		
		<div style="font-size:16px; font-weight:bold; padding-bottom:5px; border-bottom:1px solid #ccc;">
			<?php _e('Features', 'nucleus'); ?>
		</div>
		
		<ul>
			<li><span class="check-lista"></span> <a href="<?php echo NUCLEUS_AUTHOR_URI; ?>/soporte/foro/nucleus-pro"><?php _e('Forum support', 'nucleus'); ?></a></li>
			<li><span class="check-lista"></span> <?php _e('Unlimited theme colors', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('CSS Editor in the customizer. You can make changes CSS without modifying the style.css file. The changes remain after updating the theme.', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Show extracts or full post on homepage and archive page.', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('7 widgets areas to add AdSense code or anything else', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Easily add yor Login Logo', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Available 28 differents Google fonts', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('9 Custom widgets (Facebook Page Plugin, Twitter tweets, Google+ badge, Video widget, Recent posts with square thumbnails or rounded, Popular posts with square thumbnails or rounded, Recent comments with square avatars or rounded, Email subscription, Meta Widget with dashicons and ability to show/hide links)', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Related posts with thumbnails', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Show/Hide post meta (author avatar, author name, date, comments number)', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Breadcrumb navigation', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Custom pagination', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Custom shortcodes (Buttons, Messages, Accordion and Tabs)', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Social networks in user profile', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Google Plus Authorship Integration', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Easily apply Nucleus style to bbPress, just check the option.', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Google Analytics ready, just paste the code', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('AddThis ready, just paste the code', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Translation Ready (.po file integrated)', 'nucleus'); ?></li>
			<li><span class="check-lista"></span> <?php _e('Integrated Spanish and English', 'nucleus'); ?></li>
		</ul>
	</div>
</div><!-- .wrapper-nucleus -->
<hr />
<?php } // nucleus_mostrar_ayuda() ?>