<?php
/**
 * Nucleus
 */

add_action( 'wp_enqueue_scripts', 'nucleus_customizer_css', 11 );
function nucleus_customizer_css() {

	$color = esc_html(get_theme_mod('nucleus_color_tema', '#00BCD5'));
	$fuente = esc_html(get_theme_mod('nucleus_fonts', 'Open Sans'));

	$top_line = (get_theme_mod('nucleus_linea_superior_color', 1) == 1)
	? ".site{border-top:2px solid $color;}" : '';

	$logo_height = (int) get_theme_mod( 'nucleus_altura_logo', '60');
	$logo_h = '.site-branding img {max-height:' . $logo_height . 'px; width:auto;}';

	$round_logo = (get_theme_mod('nucleus_logo_rounded', '') == 1)
	? '.site-branding img{border-radius:50%;}' : '';

	$entry_title_link = (get_theme_mod('nucleus_color_entry_title_link', '') == 1)
	? ".entry-title a, .entry-title a:visited {color:$color;}" : '';

	$title_border_color = (get_theme_mod('nucleus_color_entry_title_border', '') == 1)
	? ".entry-title {border-top-color:$color;}" : '';

	$widget_border_color = (get_theme_mod('nucleus_color_widget_border_top', '') == 1)
	? ".widget {border-top-color:$color;}" : '';

	$widget_title_icon = (get_theme_mod('nucleus_show_icon_widget_title', 1) == '')
	? '.widget-title-icon {display:none;}' : '';

	$uppercase_menu = (get_theme_mod('nucleus_uppercase_menu', 1) == '')
	? '.main-navigation {text-transform:none;}' : '';

	$header_image_grayscale = (get_theme_mod('nucleus_header_image_grayscale', '') == 1)
	? '.header-image img {-webkit-filter: grayscale(100%); -moz-filter: grayscale(100%); filter: grayscale(100%);}' : '';

	$css = "a, a:hover, a:active{color:$color}
	a:focus{color:$color !important;}
	a.share-icon:hover:before{color:$color; border-color:$color;}
	a.icono-social:hover:before{color:$color; border-color:$color;}
	.required{color:$color;}
	.top-bar-icono-buscar:hover{background-color:$color}
	.site-branding .site-title a:hover{color:$color}
	a.leer-mas:hover {color:$color !important;}
	.comment-metadata a:hover{color:$color;}
	.wrapper-related-posts ul a.related-posts-link:hover {color:$color;}
	.tagcloud a:hover{border-color:$color; color:$color;}
	.widget_calendar tbody a{background-color:$color;}
	::selection {background-color:$color; color:#ffffff;}
	::-moz-selection {background-color:$color; color:#ffffff;}
	.entry-footer a:hover{color: $color;}
	.pagination .prev:hover, .pagination .next:hover {background-color:$color}
	.post-navigation a:hover .post-title, .post-navigation a:focus .post-title {color: $color !important;}
	.search-submit, .search-submit:hover {background-color:$color;}
	.sub-title a:hover {color:$color;}
	input[type='submit'], input[type='reset'] {background-color:$color !important;}
	.bypostauthor cite span {background-color:$color;}
	h1.site-title a:hover, p.site-title a:hover {color: $color;}
	.entry-header .entry-title a:hover {color:$color ;}
	.archive-header {border-left-color:$color;}
	#site-navigation .current-menu-item > a{color:$color;}
	.main-navigation a:hover, .main-navigation a:focus, .main-navigation li:hover > a, .main-navigation li.focus > a {color:$color !important;}
	.dropdown-toggle:hover, .dropdown-toggle:focus {color:$color;}
	.menu-toggle:hover, .menu-toggle:focus {border-color:$color; color:$color;}
	.widget-area .widget a:hover {
		color: $color !important;
	}
	footer[role='contentinfo'] a:hover, .social-navigation a:hover:before {
		color: $color;
	}
	.author-info a {color: $color;}
	.entry-meta a:hover {
	color: $color;
	}
	.format-status .entry-header header a:hover {
		color: $color;
	}
	.comments-area article header a:hover {
		color: $color;
	}
	a.comment-reply-link:hover,
	a.comment-edit-link:hover {
		color: $color;
	}
	.template-front-page .widget-area .widget li a:hover {
		color: $color;
	}
	.currenttext, .paginacion a:hover {background-color:$color;}
	.aside{border-left-color:$color !important;}
	blockquote{border-left-color:$color;}
	.logo-header-wrapper{background-color:$color;}
	h3.cabeceras-fp {border-bottom-color:$color;}
	.encabezados-front-page {background-color:$color;}
	.icono-caja-destacados {color: $color;}
	.enlace-caja-destacados:hover {background-color: $color;}
	body, button, input, select, textarea {font-family:$fuente, Arial, Verdana;}
	$top_line $logo_h $round_logo $entry_title_link $title_border_color $widget_border_color $widget_title_icon $uppercase_menu $header_image_grayscale";

	wp_add_inline_style( 'nucleus-style', $css );

}
